<template>
  <div>
    <div class="row justify-end">
      <q-btn
        v-if="index >= 1"
        round
        flat
        icon="close"
        color="black"
        @click="$emit('removeNotifier', index)"
      />
    </div>
    <q-form>
      <span class="text-subtitle2">Location</span>
      <q-input
        label="PIN code"
        v-model.number="formData.pincode"
        type="number"
        mask="######"
        :rules="[ val => val >= 100000 && val <= 999999   || 'Please enter a valid PIN code']"
      />
      <span class="text-subtitle2">Age group</span>
      <div class="row full-width justify-evenly">
        <q-checkbox
          v-model="formData.filter"
          val="18"
          color="dark"
          label="Above 18"
          :rules="[ val => val.length >= 1   || 'Please select at least one option']"
        />
        <q-checkbox
          v-model="formData.filter"
          val="45"
          color="dark"
          label="Above 45"
          :rules="[ val => val.length >= 1   || 'Please select at least one option']"
        />
      </div>
    </q-form>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api'
export default defineComponent({
  name: 'RequestForm',

  data () {
    return {
      formData: {
        pincode: null,
        filter: ['18']
      }
    }
  },

  props: {
    index: {
      type: Number,
      required: true
    },

    request: {
      type: Object,
      required: true
    }
  },

  methods: {
    // remove: function () {
    //   this.$emit('update:request', this.request)
    // },

    add: function () {
      this.$emit('update:request', this.formData)
    }
  }
})
</script>
